Skip to main content
GET
/
v1
/
passports
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.passports.list();

  console.log(result);
}

run();
{
  "success": true,
  "passports": [
    {
      "passport_id": "<string>",
      "type": "model",
      "owner": "<string>",
      "status": "active",
      "created_at": 123,
      "updated_at": 123,
      "name": "<string>",
      "description": "<string>",
      "version": "<string>",
      "tags": [
        "<string>"
      ],
      "metadata": {},
      "metadata_hash": "<string>",
      "on_chain": {
        "pda": "<string>",
        "tx": "<string>",
        "synced_at": 123
      }
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "total_pages": 123
  }
}

Query Parameters

type
Available options:
model,
compute,
tool,
dataset,
agent,
voice,
other
owner
string
status
Available options:
active,
deprecated,
revoked
tags
string

Comma-separated

tag_match
enum<string>
Available options:
all,
any
page
integer
Required range: x >= 1
per_page
integer
Required range: 1 <= x <= 100
sort_by
enum<string>
Available options:
created_at,
updated_at,
name
sort_order
enum<string>
Available options:
asc,
desc

Response

OK

success
boolean
required
passports
object[]
required
pagination
object
required